# BEGIN SourceDeps(oneline):
BuildRequires: perl(Curses/UI.pm) perl(ExtUtils/MakeMaker.pm) perl(File/MimeInfo/Applications.pm) perl(File/MimeInfo/Magic.pm) perl(String/ShellQuote.pm) perl(Test/More.pm) perl(ZConf.pm) perl(ZConf/GUI.pm)
# END SourceDeps(oneline)
%define module_version 2.1.4
%define module_name ZConf-Runner
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.1.4
Release: alt1
Summary: Run a file using a choosen methode, desktop entry or mimetype.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/V/VV/VVELOX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The purpose of this module is to figure out what to do with an object based
on it's mimetype. Currently only files are supported.

    use ZConf::Runner;

    my $zcr=ZConf::Runner->new();
   if($zcr->{error}){
       print "Error!\n";
   }

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/Z*

%files scripts
%_bindir/*

%changelog
* Wed Oct 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.4-alt1
- initial import by package builder

